from Reader import reader, types, status
from Log import LOG
from Gui import GUI
import ObjectItem

class InventoryContent():
    def __init__(self):
        self.objects = []
        self.objectsLen = reader.readUnsignedShort()
        for i in range(0, self.objectsLen):
            self.objects.append(ObjectItem.ObjectItem())
            # LOG.obj_to_string(self.objects[-1])
        self.kamas = reader.readVarUhLong()

    def export(self):
        for obj in self.objects:
            obj.export()
            print (";", end="")
